package main

import (
	"flag"
	"fmt"
	"log"
	"os"
)

func main() {
	flag.Parse()

	files := make(map[string]int)

	for i, v := range flag.Args() {
		f, err := os.ReadDir(v)
		if err != nil {
			log.Fatal(err)
		}

		for _, df := range f {
			var weight int
			if i == 0 {
				weight = 1
			} else {
				weight = -1
			}
			files[df.Name()] += weight
		}
	}

	for k, v := range files {
		if v == 1 {
			fmt.Println(k)
		}
	}
}
